<?php
namespace app\admin\controller;

use think\Controller;
use think\Db;
/*
其他通用
*/
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2020 http://myucms.com All rights reserved.
// +----------------------------------------------------------------------
// | Author: 梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
class Com extends Common
{
	//前台导航
    public function link_index()
    {
        return md5Qm();
    }
	//友情链接
    public function link_youqing()
    {
        return md5Qm();
    }
	//添加编辑链接
    public function link_add()
    {
        $c=Db::name('link')->where(array('id' => get('id',0)))->find();
        $this->assign('c',$c);
        return md5Qm();
    }
	//前台会员
    public function member()
    {
    	$ks = input('ks');
    	$html = Db::name('member')->order('userid desc')->where('phone|username|userid', 'like', '%' . $ks . '%')->paginate(15, false, $config = ['query' => array('ks' => $ks)]);
		$this->assign('html', $html);
        return md5Qm();
    }
	//添加编辑会员
    public function member_add()
    {
		$c=Db::name('member')->where(array('userid' => input('id')))->find();
        $this->assign('c',$c);
        return md5Qm();
    }
	//文件管理
    public function file()
    {
		return md5Qm();
    }
    //验证码
    public function yanzhengma()
    {
		return md5Qm();
    }
    //单页管理
    public function dan()
    {
        return md5Qm();
    }
    //单页添加编辑
    public function dan_add()
    {
        $c=Db::name('dan')->where(array('id' => get('id',0)))->find();
        $this->assign('c',$c);
        return md5Qm();
    }

}
